Page curation A11 speedy notification creates 2 headers on user talk page
Closed, ResolvedPublic

Description

When using page curation to tag an article for speedy deletion under criteria A11, the user notification has two headings, as here: https://en.wikipedia.org/w/index.php?title=User_talk:GoDrink&diff=prev&oldid=773138117. Also, the notification states that the nomination has been made under G3, not A11.

The PageCuration configuration for deletion templates can be found at https://en.wikipedia.org/wiki/MediaWiki:PageTriageExternalDeletionTagsOptions.js.

The notification template being used is https://en.wikipedia.org/wiki/Template:Db-invented-notice.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2017, 3:38 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 31 2017, 7:03 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 3 2017, 7:11 PM
kaldari added a subscriber: kaldari.Jun 2 2017, 1:41 AM

I fixed the second half of this bug (it using the wrong notification template). To prevent it from posting 2 headers, you either need to get PageTriage to pass a "header=no" param to the notification template (Db-invented-notice) or you need to create a custom notification template that doesn't include a header by default and configure PageTriage to use it (which is how most PageTriage tags work).

kaldari updated the task description. (Show Details)Jun 2 2017, 3:58 PM
kaldari renamed this task from Page curation A11 speedy notification bug to Page curation A11 speedy notification creates 2 headers on user talk page.Jun 2 2017, 4:00 PM
kaldari updated the task description. (Show Details)
kaldari closed this task as Resolved.Jun 2 2017, 8:09 PM
kaldari claimed this task.

This should be fixed now.

BTW, it looks like the double header bug probably also affects G10 notices.